package com.bonus.canteen.core.pay.custom;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import com.bonus.canteen.core.pay.api.dto.UnifyPayCancelDTO;
import com.bonus.canteen.core.pay.api.dto.UnifyPayDTO;
import com.bonus.canteen.core.pay.api.dto.UnifyPaySelectDTO;
import com.bonus.canteen.core.pay.api.dto.UnifyRefundDTO;
import com.bonus.canteen.core.pay.api.vo.UnifyPayCancelVO;
import com.bonus.canteen.core.pay.api.vo.UnifyPaySelectVO;
import com.bonus.canteen.core.pay.api.vo.UnifyPayVO;
import com.bonus.canteen.core.pay.api.vo.UnifyRefundVO;
import com.bonus.canteen.core.pay.common.constants.PayChannelSelectEnum;
import com.bonus.canteen.core.pay.common.dto.ChannelPayDTO;
import com.bonus.canteen.core.pay.common.dto.PayCancelDTO;
import com.bonus.canteen.core.pay.common.service.PayService;
import com.bonus.canteen.core.pay.common.vo.PayChannelSelectDTO;
import com.bonus.canteen.core.pay.common.vo.PayChannelSelectResultVO;
import com.bonus.canteen.core.pay.common.vo.SupportFastAsyncPayVO;
import com.bonus.canteen.core.pay.common.dto.PayRefundDTO;
import org.springframework.stereotype.Service;



@Service
public class PayCustomBusiness implements CustomBusiness {

   public PayChannelSelectResultVO willPayChannelSelectV2(PayChannelSelectEnum selectType, PayChannelSelectDTO payChannelSelectDTO) {
      return null;
   }

   public void didPayChannelSelectV2(PayChannelSelectEnum selectType, PayChannelSelectDTO payChannelSelectDTO, PayChannelSelectResultVO resultVO) {
   }

   public PayService beanOfChannel(Integer payChannel) {
      return null;
   }

   public boolean leCodeEffectiveOnce() {
      return true;
   }

   public UnifyPayVO didSkipPayIfNecessary(UnifyPayDTO unifyPayDTO, UnifyPayVO unifyPayVO) {
      return unifyPayVO;
   }

   public void willPay(UnifyPayDTO payDTO) {
   }
   public void didPay(UnifyPayDTO payDTO, UnifyPayVO unifyPayVO) {
   }
   public SupportFastAsyncPayVO willSupportFastAsyncPay(UnifyPayDTO unifyPayDTO) {
      return null;
   }
   public void willChannelPay(ChannelPayDTO channelPayDTO) {
   }

   public void willPaySelectV2(UnifyPaySelectDTO paySelectDTO) {
   }

   public UnifyPaySelectVO didPaySelectV2(UnifyPaySelectDTO paySelectDTO, UnifyPaySelectVO paySelectVO) {
      return paySelectVO;
   }

   public void willChannelPayRefund(PayRefundDTO payRefundDTO) {
   }

   public void willPayRefundV2(UnifyRefundDTO payRefundDTO) {
   }

   public void didPayRefundV2(UnifyRefundDTO payRefundDTO, UnifyRefundVO payRefundVO) {
   }
   public void willPayCancelV2(UnifyPayCancelDTO payCancelDTO) {
   }
   public void willChannelPayCancel(PayCancelDTO payCancelDTO) {
   }

   public void didPayCancelV2(UnifyPayCancelDTO payCancelDTO, UnifyPayCancelVO payCancelVO) {
   }


}
